%define 	module	amqplib
Summary:	Client library for AMQP (Advanced Message Queuing Protocol)
Name:		python-%{module}
Version:	1.0.2
Release:	2
License:	LGPL v2.1
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/a/%{module}/%{module}-%{version}.tgz
# Source0-md5:	5c92f17fbedd99b2b4a836d4352d1e2f
URL:		http://code.google.com/p/py-amqplib/
BuildRequires:	python-distribute
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-modules
Requires:	python-pyparsing
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Client library for AMQP (Advanced Message Queuing Protocol).

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README* TODO
%{py_sitescriptdir}/%{module}
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{module}-*.egg-info
%endif
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-amqplib.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> ebd1c12
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d986b97
- automatic change: use py_build/py_install macros

* Sat Jan 07 2012 zbyniu <zbyniu@pld-linux.org> bc3ef5e
- rel 1

* Fri Dec 02 2011 zbyniu <zbyniu@pld-linux.org> b395506
- up to 1.0.2

* Thu May 26 2011 zbyniu <zbyniu@pld-linux.org> ae49d7b
- proper summary, desc, license

* Wed May 25 2011 Elan Ruusamäe <glen@pld-linux.org> d93a592
- cleanup empty scriptlets, don't overwrite with empty translation

* Wed May 25 2011 cieciwa <cieciwa@pld-linux.org> 45fb800
- initial.

